# -*- coding: utf-8 -*-
##############################################################################
#
#    wms module for OpenERP, WMS Extended for Open ERP
#    Copyright (C) 2010 SYLEAM (<http://www.syleam.fr/>)
#              Christophe CHAUVET <christophe.chauvet@syleam.fr>
#
#    This file is a part of wms
#
#    wms is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    wms is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from osv import osv
from osv import fields

class StockTracking(osv.osv):
    _inherit = 'stock.tracking'
    
    _columns = {
        'product_id': fields.many2one('product.product', 'Product', required=True),
    }

    _defaults = {
        'product_id': lambda *a: False,
    }

    def name_get(self, cr, uid, ids, context=None):
        if not len(ids):
            return []
        if context is None:
            context = {}

        res = []
        for r in self.read(cr, uid, ids, ['name', 'serial'], context=context):
            name = r['name']
            if r['serial']:
                name += ' [%s]' % r['serial']
            res.append((r['id'], name))
        return res

StockTracking()

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
