# -*- coding: utf-8 -*-
##############################################################################
#
#    wms module for OpenERP, WMS Extended for Open ERP
#    Copyright (C) 2010 SYLEAM (<http://www.syleam.fr/>)
#              Christophe CHAUVET <christophe.chauvet@syleam.fr>
#
#    This file is a part of wms
#
#    wms is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    wms is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>
#
##############################################################################

from osv import osv
from osv import fields

class ResUsers(osv.osv):
    _inherit = 'res.users'

    _columns = {
        'context_warehouse_id': fields.many2one('stock.warehouse', 'Warehouse',
            help='Enter the default warehouse for this user, leave blank if user works on many warehouse'),
    }

    _defaults = {
        'context_warehouse_id': lambda *a: False,
    }

    def _default_warehouse(self, cr, uid, context=None):
        """
        Retrieve the default warehouse affect to the user
        """
        if context is None:
            context = {}
        res = self.read(cr, uid, uid, ['context_warehouse_id'], context=context)['context_warehouse_id']
        if res:
            res = res[0]
        if context.get('M2M'):
            if res:
                res = [res]
            else:
                res = []
        return res

ResUsers()

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
